## CamelMimeFilterEnriched

CamelMimeFilterEnriched

## Functions

CamelMimeFilter * | camel_mime_filter_enriched_new ()
gchar * | camel_enriched_to_html ()

## Types and Values

enum | CamelMimeFilterEnrichedFlags

## Object Hierarchy

        GObject
        ╰── CamelMimeFilter
            ╰── CamelMimeFilterEnriched

## Description

## Functions

### camel_mime_filter_enriched_new ()

    CamelMimeFilter *
    camel_mime_filter_enriched_new (guint32 flags);

Create a new CamelMimeFilterEnriched object to convert input text streams from text/plain into text/enriched or text/richtext.

#### Parameters

flags | bitwise set of flags to specify filter behaviour. | [type CamelMimeFilterEnrichedFlags]

#### Returns

a new CamelMimeFilterEnriched object

### camel_enriched_to_html ()

    gchar *
    camel_enriched_to_html (const gchar *in,
                            guint32 flags);

Convert `in` from text/plain into text/enriched or text/richtext based on `flags` .

#### Parameters

in | input textual string |
flags | flags specifying filter behaviour. | [type CamelMimeFilterEnrichedFlags]

#### Returns

a newly allocated string containing the enriched or richtext version of `in` .

## Types and Values

### enum CamelMimeFilterEnrichedFlags

#### Members

CAMEL_MIME_FILTER_ENRICHED_NONE |  |
CAMEL_MIME_FILTER_ENRICHED_IS_RICHTEXT |  |